Last modified: 2013-04-11 19:39:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29964 - Add $2 parameter to message Mwe-upwiz-source-thirdparty-license
Add $2 parameter to message Mwe-upwiz-source-thirdparty-license
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Low trivial with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.mediawiki.org/wiki/I18n#Pa...
: easy
Depends on:
Blocks: messages plural
  Show dependency treegraph
 
Reported: 2011-07-19 17:19 UTC by Purodha Blissenbach
Modified: 2013-04-11 19:39 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2011-07-19 17:19:33 UTC
The message MediaWiki:Mwe-upwiz-source-thirdparty-license ends with the word "license(s)" which should be avoided by adding another parameter:
$2 - number of items in the list following the message.

I tried to amend the source myself but was unable to spot the place where the message is being used in the svn repository.

See also http://www.mediawiki.org/wiki/I18n#Pass_number_of_list_items_as_parameters_to_messages_talking_about_lists
Comment 1 Mark Holmquist 2012-05-22 18:30:39 UTC
I'm not sure we need to have a plural version of this message--can the user select more than one license? It seems to me like the license chooser uses radio buttons, so....

If someone is going to delve into this, Purodha is correct, mwe-upwiz-source-thirdparty-license needs to use the {{PLURAL}} syntax for the number of licenses, and it's probably getting used at around line 382 of resources/mw.UploadWizardDeed.js, near the top of the declaration of mw.UploadWizardDeedChooser. The line looks like "gM( 'mwe-upwiz-source-' + deed.name, _this.uploads.length )" right now.

Marking as easy because it would just be adding a parameter.
Comment 2 Thehelpfulone 2012-06-22 19:40:39 UTC
Reassigning to wikibugs-l per bug 37789
Comment 3 richa jain 2013-01-17 18:28:43 UTC
Line 383 of resources/mw.UploadWizardDeed.js uses 'mwe-upwiz-source-'+deed.name (eg mwe-upwiz-source-thirdparty) but not 'mwe-upwiz-source-'+deed.name+'license' (eg mwe-upwiz-source-thirdparty-license)  and i couldn't determine where the message 'mwe-upwiz-source-thirdparty-license' is being used . Is it used or not?
Comment 4 Nischay Nahata 2013-02-10 14:21:06 UTC
(In reply to comment #3)
> Is it used or not?

you can do a grep for that.
Comment 5 Nischay Nahata 2013-03-10 19:59:37 UTC
(In reply to comment #3)

Seems like you are right, and grep won't help either. This message seems to be no longer use. I recommend removing this message from .config and .18n
Comment 6 richa jain 2013-04-03 17:28:47 UTC
removed the message from i18n, its not being used in .config
https://gerrit.wikimedia.org/r/#/c/57322/
Comment 7 Nischay Nahata 2013-04-11 19:39:27 UTC
Thanks Richa for the patch.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links